Browse Plugins & Themes in ACP fail to communicate with MyBB
#21
I would like to use this thread to report that i'm too getting this message since the last one or two days, i didn't change anything on my VPS, everything worked fine two days ago.

Whenever i click on the check update function and plugin update function in ACP, it gives me the error:

There was a problem communicating with the MyBB modifications version server. Please try again in a few minutes.


I already tried adding manually
allow_url_include = on

in php.ini, restarted the server and this also didn't help.

I'm attaching some screenshots, kindly check them too, perhaps they can be useful.

   

   

   

Thankyou

Enabling the curl php extension solved my problem, thanks a lot @noyle for helping me.

Regards.
Reply
#22
Hi kbilly,

I also have the problem "There was a problem communicating with the version server" with MyBB 1.8.22 since a couple of days and didn't change anything. Why does enabling a curl php extension help and why is it necessary now ? Where do I enable this ?
Would be glad if you could describe that a bit more in detail ;-) Thanks so much in advance -
Mike
Reply
#23
Ok got it by myself meanwhile.
Just cecked for curl ->"apt-get install curl"  :  already latest version..
then installed php-curl  -> "apt-get" install php-curl":  The following additional packages will be installed:  php7.0-curl
YES
restart apache2  -> service apache2 restart
DONE :-)

( add sudo if not root)

The thing that makes me wonder is why is that necessary ? It worked until some days/weeks ago..?  So what has changed. Since there was no update from MyBB I assume the only thing that has changed inbetween is the Ubuntu System.. so maybe an update changed components and php-curl got lost somehow ..? Does anybody know whats the reason ? 
I'm fine now...but I dont like such situations that you don't change any setting and suddenly things doesnt work any more.. Undecided
Reply
#24
I too have this problem... Its been going on for a long time... Can't even use my site... I need to try some new plugins to get rid of spam... So much spam signups I can't get new members.

Every time I try to browse plugins I get the same message: problem communicating with the MyBB modifications server.

I have made sure curl was enabled. curl info: 7.42.1

The only thing for fopen I see in my php info is allow_url_fopen: on

Not really sure what CloudFlare DDoS protection is or if that's my problem.

I am currently running MyBB 1.6.2... Not sure if I have to update to MyBB 1.8.3 (1803)... Worried if I update my site I will have issues... Seems every time I update something my site crashes.

Apologies for resurfacing this thread, I just don't know what to do anymore.

Please help otherwise I have to just trash my forum.

THANKS!
Reply
#25
1.6.2 was released over 10 years ago. Within the last decade, we've more than likely changed something with how the Mods site works that is no longer compatible with a version of MyBB released 10 years ago (which, to be quite honest, should not be surprising).

The latest version of MyBB is 1.8.26 (it sounds like your version check has stopped too as 1.8.3 was released 6 and a half years ago).

You don't need to trash the forum just because the Mods site integration doesn't work though, that seems quite dramatic to me as you can just download plugins from the Mods site itself, but the site does urgently need upgrading. I'm more surprised that it hasn't been hacked yet as you're a decade behind on security fixes.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)